/******************************************************************************************
	FIGURE 1
******************************************************************************************/
{
foreach out_var in emp earn  {
    if "`out_var'" == "earn" {
       local out_text full-quarter earnings
       local y_var_range -0.8 0
       local y_var_label -0.8(.1)0
       local lab a
    }
    if "`out_var'" == "emp" {
        local out_text full-quarter employment
       local y_var_range -0.2 0.05
       local y_var_label -0.2(.05)0.05
       local lab b
    }
    
*EARNINGS AND EMPLOYMENT GAP
import delimited using "${input_dir}for_figs_fq_`out_var'_gap.csv", varnames(1) clear
preserve
replace estimate_base_rnd = estimate_ever_rnd if !missing(ptype)
if "`out_var'" == "earn" {
label variable estimate_base_rnd "Log full-quarter earnings"
}
if "`out_var'" == "emp" {
label variable estimate_base_rnd "Full-quarter employment"
}
label variable age "Age"
graph twoway (line estimate_base_rnd age if missing(ptype), color(gs0) lpattern(solid) lwidth(thick) graphregion(color(white))) ///
    (line estimate_base_rnd age if ptype=="F0", color(gs2) lpattern(dot) lwidth(thick) graphregion(color(white))) ///
    (line estimate_base_rnd age if ptype=="F1", color(gs4) lpattern(shortdash) lwidth(thick) graphregion(color(white))) ///
    (line estimate_base_rnd age if ptype=="F2", color(gs6) lpattern(dash) lwidth(thick) graphregion(color(white))) ///
    (line estimate_base_rnd age if ptype=="F3", color(gs8) lpattern(longdash) lwidth(thick) graphregion(color(white))) ///
    (line estimate_base_rnd age if ptype=="F4", color(gs10) lpattern(dash_dot) lwidth(thick) graphregion(color(white))) /// 
    , legend(lab (1 "All") lab (2 "No children") lab (3 "One child") ///
	lab (4 "Two children") lab (5 "Three children") ///
	lab (6 "Four children") region(lcolor(white))) ///
	xscale(range(17 55)) xlabel(20(5)55) yscale(range(`y_var_range')) ylabel(`y_var_label')
graph export "${tables_figures}figure_1`lab'.pdf", replace
restore
}
}
*end section 
