/******************************************************************************************
	FIGURE 2
******************************************************************************************/
{
local out_var earn
    if "`out_var'" == "earn" {
       local out_text full-quarter earnings
       local y_var_range -0.8 0
       local y_var_label -0.8(.1)0
    }
    if "`out_var'" == "emp" {
        local out_text full-quarter employment
       local y_var_range -0.2 0.05
       local y_var_label -0.2(.05)0.05
    }

*FEMALE EARNING/EMPLOYMENT GAP EFFECT OF CONTROLS FOR CHILDBIRTH EFFECTS BY BIRTH NUMBER
import delimited using "${input_dir}for_figs_fq_`out_var'_gap.csv", varnames(1) clear
forvalues cnum = 1(1)4 {
    if `cnum' == 1 {
        local clabel1 One child
        local clabel2 one child
	local lab a 
    }
    if `cnum' == 2 {
        local clabel1 Two children
        local clabel2 two children
	local lab b
    }
    if `cnum' == 3 {
        local clabel1 Three children
        local clabel2 three children
	local lab c
    }
    if `cnum' == 4 {
        local clabel1 Four children
        local clabel2 four children
	local lab d
    }
if "`out_var'" == "earn" {
local ytitle "Log full-quarter earnings"
}
if "`out_var'" == "emp" {
local ytitle "Full-quarter employment"
}
graph twoway (rarea estimate_ever_ctrl_rnd estimate_ever_rnd age if ptype=="F`cnum'" , color(gs14) graphregion(color(white))) ///
	(line estimate_base_rnd age if missing(ptype) , color(gs0) lpattern(solid) lwidth(thick) graphregion(color(white))) ///
	(line estimate_ever_rnd age if ptype=="F0" , color(gs2) lpattern(dot) lwidth(thick) graphregion(color(white))) ///
	(line estimate_ever_rnd age if ptype=="F`cnum'",  color(gs4) lpattern(shortdash) lwidth(thick) graphregion(color(white)) ) ///
    (line estimate_ever_ctrl_rnd age if ptype=="F`cnum'", color(gs6) lpattern(longdash) lwidth(thick) graphregion(color(white))) ///
    , legend(lab (2 "All") lab (3 "No children") lab (4 "`clabel1'") ///
	lab (5 "`clabel1' (with controls)") order(2 3 4 5) region(lcolor(white))) ///
	xscale(range(17 55)) xlabel(20(5)55) yscale(range(`y_var_range')) ylabel(`y_var_label') ///
	ytitle("`ytitle'") xtitle("Age")
graph export "${tables_figures}figure_2`lab'.pdf", replace
}

}
*end section
