/*******************************************************************************
	SIGNIFICANCE STARS
*******************************************************************************/
cap prog drop pval_stars
prog def pval_stars, rclass
	syntax, pval(real)
{
	if `pval'>.1 {
		return local stars ""
	}
	if `pval'<=.1 & `pval'>.05 {
		return local stars "*"
	}
	if `pval'<=.05 & `pval'>.01 {
		return local stars "**"
	}
	if `pval'<=.01 {
		return local stars "***"
	}
}
end

/*******************************************************************************
	SIGNIFICANT DIGITS
*******************************************************************************/
cap prog drop sigdigits
prog def sigdigits, rclass
	syntax, val_sd(real) sigdigit_sd(real)
{
local val=abs(`val_sd')
local val_sigdig = round(`val'*10^(`sigdigit_sd'-1-floor(log10(`val'))),1)*10^(floor(log10(`val')-`sigdigit_sd'+1))*sign(`val_sd')
local val_sigdig `: display %025.10g `val_sigdig''
return local val_sigdig "`val_sigdig'"
}
end

cap prog drop sigdigitsvar
prog def sigdigitsvar, rclass
	syntax, val_sd(string) sigdigit_sd(real)
{
gen tempsig_val=cond(`val_sd'==.,.,abs(`val_sd'))
gen double tempsgdig1=cond(`val_sd'==.,.,cond(`val_sd'==0,0,round(tempsig_val*10^(`sigdigit_sd'-1-floor(log10(tempsig_val))),1)))
gen double tempsgdig2=cond(`val_sd'==.,.,cond(`val_sd'==0,0,10^(floor(log10(tempsig_val)-`sigdigit_sd'+1))))
gen double tempsgdig3=cond(`val_sd'==.,.,cond(`val_sd'==0,0,sign(`val_sd')))
drop tempsig_val `val_sd'
gen double `val_sd' = tempsgdig1*tempsgdig2*tempsgdig3
drop tempsgdig1 tempsgdig2 tempsgdig3
}
end

/*******************************************************************************
	DRB ROUNDING
*******************************************************************************/
cap prog drop drbround
prog def drbround, rclass
	syntax, x(real) 
{
if `x'<=1000000 {
	local rounding_rule = cond(`x'<100,10,cond(`x'<1000,100,cond(`x'<10000,500,1000)))
	local rounded=round(`x',`rounding_rule')
}
if `x'>1000000 {
	local val=abs(`x')
	local rounded = round(`x'*10^(4-1-floor(log10(`x'))),1)*10^(floor(log10(`x')-4+1))*sign(`x')
}
local rounded `: display %025.10g `rounded''
if `rounded'<15 {
	local rounded "<15"
}
return local rounded "`rounded'" 
}
end

cap prog drop drbroundvar
prog def drbroundvar, rclass
	syntax, x(string) 
{
*if less than 1,000,000
gen rounding_rule = cond(`x'<100,10,cond(`x'<1000,100,cond(`x'<10000,500,1000)))
gen double `x'_rounded=round(`x',rounding_rule)
*if more than 1,000,000
gen tempsig_val=abs(`x')
gen double tempsgdig1=round(tempsig_val*10^(4-1-floor(log10(tempsig_val))),1)
gen double tempsgdig2=10^(floor(log10(tempsig_val)-4+1))
gen double tempsgdig3=sign(`x')
replace `x'_rounded = tempsgdig1*tempsgdig2*tempsgdig3 if `x'>1000000
drop tempsig_val tempsgdig1 tempsgdig2 tempsgdig3
*if less than 15
tostring `x'_rounded, replace
replace `x'_rounded="<15" if `x'<=15
drop rounding_rule
}
end
