/************************************************************************

  THIS FILE IS THE MAIN FILE THAT RUNS INTERMEDIATE CODE
  TO PRODUCE THE DATA INFRASTRUCTURE
  WRITTEN BY: MATTHEW STAIGER

************************************************************************/

*SET SAMPLE SIZE;
%let sample_size=MAX;

*SET PROGRAMS TO RUN;
*----------------------------------------------------------------------------------------------;
*SECTION 5;
%let run_05_02=0;
%let run_05_03=0;

*SECTION 6;
%let run_06_05=0;

*DISCLOSURE PROGRAMS;
%let run_99_01=1;


*SUMMARIZE FINAL DATA;
%let run_summarize_final_data=0;


*SET OPTIONS;
*----------------------------------------------------------------------------------------------;
%include "config.sas";


*OVERALL MACRO TO RUN EACH SECTION OF CODE;
*----------------------------------------------------------------------------------------------;
%macro main;

%macro runmac(val,modname);
%if (&val.=1) %then %do;
PROC printto 
    log=    "&dirprog./log/analysis/&modname..log" new
    print=  "&dirprog./lst/analysis/&modname..lst" new;
RUN;
%include "&dirprog./analysis/&modname..sas";
PROC DATASETS LIBRARY=work KILL NOLIST;
QUIT;
%end;
%mend runmac;

*RUN MACROS;

%runmac(&run_05_02.,05_02_calc_occupation_stats);
%runmac(&run_05_03.,05_03_calc_occupation_stats_rr);

%runmac(&run_06_05.,06_05_ever_parent_fq_reg);

%runmac(&run_99_01.,99_01_disclosure_2020_08);


%runmac(&run_summarize_final_data.,summarize_final_data);

*END OF MACRO TO RUN PROGRAMS;
%mend main;

*RUN PROGRAMS;
%main;
