/************************************************************************

  THIS FILE IS THE MAIN FILE THAT RUNS INTERMEDIATE CODE
  TO PRODUCE THE DATA INFRASTRUCTURE
  WRITTEN BY: MATTHEW STAIGER

************************************************************************/

*SET SAMPLE SIZE;
%let sample_size=MAX;

*SET PROGRAMS TO RUN;
*----------------------------------------------------------------------------------------------;
*SECTION 1;
%let run_01_01=1;
%let run_01_02=1;
%let run_01_03=1;
%let run_01_04=1;

*SECTION 02;
%let run_02_01=1; /*requires more memory, set chunks to 7*/
%let run_02_02=1; /*requires more memory, set chunks to 10*/
%let run_02_03=1;

*SECTION 3;
%let run_03_01=1;
%let run_03_02=1; 
%let run_03_03=1; /*requires more memory, set chunks to 20*/

*SECTION 4;
%let run_04_01=1;
%let run_04_02=1;
%let run_04_03=1;
%let run_04_04=1;
%let run_04_05=1;

*SECTION 5;
%let run_05_01=1;


*SECTION 6;
%let run_06_01=1;
%let run_06_02=1;




*SUMMARIZE FINAL DATA;
%let run_summarize_final_data=0;


*SET OPTIONS;
*----------------------------------------------------------------------------------------------;
%include "config.sas";


*OVERALL MACRO TO RUN EACH SECTION OF CODE;
*----------------------------------------------------------------------------------------------;
%macro main;

%macro runmac(val,modname);
%if (&val.=1) %then %do;
PROC printto 
    log=    "&dirprog./log/build_data/&modname..log" new
    print=  "&dirprog./lst/build_data/&modname..lst" new;
RUN;
%include "&dirprog./build_data/&modname..sas";
PROC DATASETS LIBRARY=work KILL NOLIST;
QUIT;
%end;
%mend runmac;

*RUN MACROS;
%runmac(&run_01_01.,01_01_parentchild);
%runmac(&run_01_02.,01_02_acs_pik_list);
%runmac(&run_01_03.,01_03_occupation);
%runmac(&run_01_04.,01_04_pikscenacs);

%runmac(&run_02_01.,02_01_id_sein_earn_thresholds);
%runmac(&run_02_02.,02_02_id_sein_top_earner_chg);
%runmac(&run_02_03.,02_03_top_earner_is_parent);

%runmac(&run_03_01.,03_01_gen_parent_earn_hist);
%runmac(&run_03_02.,03_02_gen_moms_at_mngr_trans);
%runmac(&run_03_03.,03_03_gen_coworker_earn_hist);

%runmac(&run_04_01.,04_01_merge_src_data);
%runmac(&run_04_02.,04_02_calc_mngr_firm_stats);
%runmac(&run_04_03.,04_03_nom_to_real_earn);
%runmac(&run_04_04.,04_04_add_top_earner_is_parent);
%runmac(&run_04_05.,04_05_f_shr_vs_earn_gap);

%runmac(&run_05_01.,05_01_gen_occupation_data);

%runmac(&run_06_01.,06_01_def_parent_id);
%runmac(&run_06_02.,06_02_ever_parent_earn_hist);



%runmac(&run_summarize_final_data.,summarize_final_data);

*END OF MACRO TO RUN PROGRAMS;
%mend main;

*RUN PROGRAMS;
%main;